import { WidgetData, WidgetParams } from "@widget-js/core";
declare type UseWidgetOption<T extends WidgetData> = {
    onDataLoaded?: (data: T) => void;
    debugParams?: WidgetParams;
    defaultData?: T;
    /**
     * 是否忽略组件id，只通过组件名获取数据
     */
    loadDataByWidgetName?: boolean;
};
export declare function useWidget<T extends WidgetData>(type: {
    new (name: string, id?: string): T;
}, option?: UseWidgetOption<T>): {
    widgetParams: WidgetParams;
    widgetData: import("vue").Ref<any>;
    sizeStyle: import("vue").ComputedRef<{
        width: string;
        height: string;
    }>;
};
export {};
